Hot News:

Unser Angebot:

  Foren auf CAD.de (alle Foren)
  SQLServer
  Connection String auf ODBC MSSQL Server von Autocad 2015

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Connection String auf ODBC MSSQL Server von Autocad 2015 (1551 mal gelesen)
vitorio50
Mitglied


Sehen Sie sich das Profil von vitorio50 an!   Senden Sie eine Private Message an vitorio50  Schreiben Sie einen Gästebucheintrag für vitorio50

Beiträge: 5
Registriert: 02.01.2016

erstellt am: 03. Jan. 2016 00:25    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Ich habe mein Access 2010 Frontend erfolgreich an den MS SQL Server verbunden, kann lesen und schreiben von meinem Access Frontend. Mit dem VBA Enabler im AutoCAD 2015 möchte ich nun auf die SQL Datenbank ebenfalls schreiben und Lesen können.
Hat jemand eine Lösung?, mit der Access Jet Engine hatte ich das folgendermassen realisiert:

Code:

' ZV mit der geladenen Zeichnung lesen und in frmEditAttrX eintragen
' Attribute von MS Access holen und in der Form einlesen
Dim oConnect As New ADODB.Connection
Dim oRecSet As New ADODB.Recordset
Dim strDWG As String
Dim sSQL As String
Dim dwgPrefix As String
Dim dwgName As String
Dim DWGpath As String
Dim coderesult As Integer
Dim RecCnt As Long
Dim i As Long

' welche Zeichnung is im Autocad geladen?
strDWG = ThisDrawing.GetVariable("dwgname")
strDWG = Mid(strDWG, 1, (Len(strDWG) - 4))


' build ADO connection string
oConnect.ConnectionString = "Provider=Microsoft.Jet.OLEDB.4.0;Data"

' MS Access Datenbank Verbindungspfad
oConnect.Properties("Data Source") = "L:\x\xx.mdb"
oConnect.Open

' build the recordset
oRecSet.CursorLocation = adUseClient
oRecSet.CursorType = adOpenKeyset
oRecSet.LockType = adLockOptimistic
sSQL = "Select * From [tbl_Zeichnungen];"
oRecSet.Open sSQL, oConnect

oRecSet.MoveFirst

oRecSet.Find "[F23] = '" & strDWG & "'"
'MsgBox "Gefunden mit .Find " & oRecSet!F23 & "  mit find.. d " & strDWG


If Not oRecSet.EOF Then ' found a record matching current block ref
    dwgPrefix = ThisDrawing.GetVariable("dwgprefix")
    dwgName = ThisDrawing.GetVariable("dwgname")
    DWGpath = dwgPrefix & dwgName

        If Nz(oRecSet!F76, "") <> "" Then
          'MsgBox oRecSet!F76, , "SF-wechsel zu vorhandenem layout..."
          ThisDrawing.ActiveLayout = ThisDrawing.Layouts(Nz(oRecSet!F76, ""))
          'MsgBox ThisDrawing.Layouts.Count, , "Anzahl Layouts"
        End If
       
    ' requires update ?
    'If oRecSet!requpd = False Then
    If oRecSet!optAction = 0 Then
        'MsgBox "Zeichnung braucht kein update", vbInformation, dwgPrefix & dwgName
        Set oRecSet = Nothing
        Set oConnect = Nothing
        Unload frmEditAttrX
        Exit Sub
    End If


Danke für eure Hilfe!

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CAD-Huebner
Ehrenmitglied V.I.P. h.c.
Verm.- Ing., ATC-Trainer



Sehen Sie sich das Profil von CAD-Huebner an!   Senden Sie eine Private Message an CAD-Huebner  Schreiben Sie einen Gästebucheintrag für CAD-Huebner

Beiträge: 9554
Registriert: 01.12.2003

Visual Studio 2015, AutoCAD 2016, MS SQL Express 2012 R2

erstellt am: 03. Jan. 2016 12:31    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für vitorio50 10 Unities + Antwort hilfreich

Nicht VBA, aber der Zugriff via ADO auf den SQL Server sollte dir ggf. auch nach Übertragen dieses Beispiels gelingen.

[EDIT] Link geflickt

------------------
Mit freundlichem Gruß

Udo Hübner
www.CAD-Huebner.de

[Diese Nachricht wurde von CAD-Huebner am 06. Jan. 2016 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

vitorio50
Mitglied


Sehen Sie sich das Profil von vitorio50 an!   Senden Sie eine Private Message an vitorio50  Schreiben Sie einen Gästebucheintrag für vitorio50

Beiträge: 5
Registriert: 02.01.2016

erstellt am: 03. Jan. 2016 19:42    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Herzlichen Dank für die schnelle Antwort. Der Link läuft leider ins Leere. Gibt es keine Möglichkeit mit VBA innerhalb AutoCAD auf eine SQL Server Datenbank zu verbinden?
Gruss Vitorio50

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Stelli1
Ehrenmitglied
Verm.-Ing.


Sehen Sie sich das Profil von Stelli1 an!   Senden Sie eine Private Message an Stelli1  Schreiben Sie einen Gästebucheintrag für Stelli1

Beiträge: 1510
Registriert: 17.08.2005

Map 2000-2010, Rasterdesign
MapGuide 6.5 - 2010
Oracle 9i,10g Enterprise
autodesk Topobase 2-2010
VS6, VS.net

erstellt am: 05. Jan. 2016 17:22    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für vitorio50 10 Unities + Antwort hilfreich

Hallo,

habe kein SQL Server laufen, aber hast du mal gesucht ?

Wilfried Stelberg

------------------
Warum lisp'eln wenn's auch anders geht.
www.ib-stelberg.de

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

vitorio50
Mitglied


Sehen Sie sich das Profil von vitorio50 an!   Senden Sie eine Private Message an vitorio50  Schreiben Sie einen Gästebucheintrag für vitorio50

Beiträge: 5
Registriert: 02.01.2016

erstellt am: 10. Jan. 2016 19:05    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Udo
Besten Dank für den geflickten Link. Ich kenn mich mit .NET nicht aus und muss die Verbindung mit AutoCAD 2015 VBA Enabler realisieren. Ist das überhaupt möglich? Gruss und Danke Vitorio50

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP



Konstrukteur (m/w/d)

Wir sind eine mittelständische Unternehmensgruppe und zählen mit ca. 220 Mitarbeitern zu den führenden Herstellern auf dem Gebiet Technischer Schallschutz und Air-Intake-Systeme für Gasturbinen. Mit unseren Aero-Akustik-Windkanalanlagen und reflexionsfreien Messräumen haben wir einen High-Tech-Standard geschaffen, der uns rund um den Globus als Akustik-Experten bekannt gemacht hat. Ein internationaler ...

Anzeige ansehenKonstruktion, Visualisierung
vitorio50
Mitglied


Sehen Sie sich das Profil von vitorio50 an!   Senden Sie eine Private Message an vitorio50  Schreiben Sie einen Gästebucheintrag für vitorio50

Beiträge: 5
Registriert: 02.01.2016

erstellt am: 10. Jan. 2016 19:08    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Stelli1
Viel gesucht und viel gefunden, leider komm ich trotzdem nicht weiter. Danke trotzdem und Gruss Vitorio0

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz